# cShapeLine Class Reference
[Scenegraph]

cShapeLine describes a simple line potential field More...

`#include <CShapeLine.h>`

Inheritance diagram for cShapeLine:

[legend]

List of all members.

## Public Member Functions
| cShapeLine (const cVector3d &a_pointA, const cVector3d &a_pointB)
| Constructor of cShapeLine.
virtual | ~cShapeLine ()
| Destructor of cShapeLine.
virtual void | render (const int a_renderMode=0)
| Render object in OpenGL.
virtual void | updateBoundaryBox ()
| Update bounding box of current object.
virtual void | scaleObject (const cVector3d &a_scaleFactors)
| Object scaling.
virtual void | computeLocalInteraction (const cVector3d &a_toolPos, const cVector3d &a_toolVel, const unsigned int a_IDN)
| Update the geometric relationship between the tool and the current object.
## Public Attributes
cVector3d | m_pointA
| Point A of line.
cVector3d | m_pointB
| Point A of line.
cColorf | m_ColorPointA
| Color of point A of line.
cColorf | m_ColorPointB
| Color of point B of line.

## Detailed Description

cShapeLine describes a simple line potential field

## Constructor & Destructor Documentation

cShapeLine::cShapeLine | ( | const cVector3d & | a_pointA,
|  | const cVector3d & | a_pointB |
| ) |  |  |

Constructor of cShapeLine.

Constructor of cShapeLine.

Parameters:

  | a_pointA | Point A of line.
  | a_pointB | Point B of line.

## Member Function Documentation

void cShapeLine::computeLocalInteraction | ( | const cVector3d & | a_toolPos,
|  | const cVector3d & | a_toolVel,
|  | const unsigned int | a_IDN |
| ) |  |  | `[virtual]`

Update the geometric relationship between the tool and the current object.

From the position of the tool, search for the nearest point located at the surface of the current object. Decide if the point is located inside or outside of the object

Parameters:

  | a_toolPos | Position of the tool.
  | a_toolVel | Velocity of the tool.
  | a_IDN | Identification number of the force algorithm.

Reimplemented from cGenericObject.

void cShapeLine::render | ( | const int | a_renderMode = `0` | ) | `[virtual]`

Render object in OpenGL.

Render sphere in OpenGL

Parameters:

  | a_renderMode | See cGenericObject::render()

Reimplemented from cGenericObject.

void cShapeLine::scaleObject | ( | const cVector3d & | a_scaleFactors | ) | `[virtual]`

Object scaling.

Scale object of defined scale factor

Parameters:

  | a_scaleFactors | Scale factor

Reimplemented from cGenericObject.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/scenegraph/CShapeLine.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/scenegraph/CShapeLine.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.